<script setup lang="ts">
import type { ResourceOut } from "@/client/types.gen.ts";
import DeleteModal from "@/components/modals/DeleteModal.vue";

const props = defineProps<{
  modalId: string;
  resource?: ResourceOut;
  backModalId?: string;
}>();

const emit = defineEmits<{
  (e: "confirm-delete", resourceId: string): void;
}>();

function deleteResource() {
  if (props.resource != undefined) {
    emit("confirm-delete", props.resource.resource_id);
    window._paq?.push(["trackEvent", "Delete", "resource"]);
  }
}
</script>

<template>
  <delete-modal
    :modal-id="props.modalId"
    :back-modal-id="props.backModalId"
    delete-type="Resource"
    :disabled="props.resource == undefined"
    @confirm-delete="deleteResource"
  >
    <template #body>
      <p>
        Are you sure you want to delete the workflow
        <strong v-if="props.resource">{{ props.resource.name }}</strong> and its
        {{ props.resource?.versions.length }} versions?<br />
        This is not reversible and all data will be delete on the cluster and in
        S3.
      </p>
    </template>
  </delete-modal>
</template>

<style scoped></style>
